NX Open C++ Reference Guide
|
Used to create or edit a Weld::WeldBead feature. More...
Public Types | |
enum | BeadLocationMethod { BeadLocationMethodSecondaryParts, BeadLocationMethodPrimaryParts, BeadLocationMethodInSpace } |
Settings to indicate the desired location of the bead. More... | |
enum | OutputTypes { OutputTypesFixed, OutputTypesAssociative } |
Settings to indicate the update behaviour of the bead feature. More... | |
enum | Types { TypesEllipse, TypesTube, TypesSketch } |
Settings to indicate the sweep shape of the bead. More... | |
Public Member Functions | |
NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod | BeadLocation () |
Returns the desired bead location. | |
NXOpen::Weld::CharacteristicsBuilder * | Characteristics () |
Returns the characteristics to assign to the object created. | |
double | DistanceTolerance () |
Returns the distance tolerance for constructing the bead. | |
NXOpen::Weld::WeldBeadPathBuilder * | NewPath () |
Creates a Weld::WeldBeadPathBuilder object. | |
NXOpen::Weld::WeldBeadSizeBuilder * | NewSize () |
Creates a Weld::WeldBeadSizeBuilder object. | |
NXOpen::Weld::WeldBeadBuilder::OutputTypes | OutputType () |
Returns the output type which controls the update behaviour of the bead feature. | |
NXOpen::Weld::WeldBeadPathBuilderList * | PathList () |
Returns the list containing the defined path segments. | |
NXOpen::ScCollector * | SelectBottomParts () |
Returns the collector containing the secondary bodies the bead is attached to. | |
NXOpen::ScCollector * | SelectTopParts () |
Returns the collector containing the primary bodies the bead is attached to. | |
void | SetBeadLocation (NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod beadLocation) |
Sets the desired bead location. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance for constructing the bead. | |
void | SetOutputType (NXOpen::Weld::WeldBeadBuilder::OutputTypes type) |
Sets the output type which controls the update behaviour of the bead feature. | |
void | SetType (NXOpen::Weld::WeldBeadBuilder::Types type) |
Sets the shape of the bead to create. | |
NXOpen::Weld::WeldBeadSizeBuilderList * | SizeList () |
Returns the list containing the sizes used to create the bead. | |
NXOpen::Weld::WeldBeadBuilder::Types | Type () |
Returns the shape of the bead to create. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to create or edit a Weld::WeldBead feature.
To create a new instance of this class, use Weld::WeldManager::CreateWeldBeadBuilder
Default values.
Property | Value |
---|---|
BeadLocation |
SecondaryParts |
Created in NX7.5.0.
NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod NXOpen::Weld::WeldBeadBuilder::BeadLocation | ( | ) |
Returns the desired bead location.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldBeadBuilder::Characteristics | ( | ) |
Returns the characteristics to assign to the object created.
Created in NX7.5.0.
License requirements : None
double NXOpen::Weld::WeldBeadBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance for constructing the bead.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldBeadPathBuilder* NXOpen::Weld::WeldBeadBuilder::NewPath | ( | ) |
Creates a Weld::WeldBeadPathBuilder object.
NXOpen::Weld::WeldBeadSizeBuilder* NXOpen::Weld::WeldBeadBuilder::NewSize | ( | ) |
Creates a Weld::WeldBeadSizeBuilder object.
NXOpen::Weld::WeldBeadBuilder::OutputTypes NXOpen::Weld::WeldBeadBuilder::OutputType | ( | ) |
Returns the output type which controls the update behaviour of the bead feature.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldBeadPathBuilderList* NXOpen::Weld::WeldBeadBuilder::PathList | ( | ) |
Returns the list containing the defined path segments.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::WeldBeadBuilder::SelectBottomParts | ( | ) |
Returns the collector containing the secondary bodies the bead is attached to.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::WeldBeadBuilder::SelectTopParts | ( | ) |
Returns the collector containing the primary bodies the bead is attached to.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldBeadBuilder::SetBeadLocation | ( | NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod | beadLocation | ) |
Sets the desired bead location.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
beadLocation | beadlocation |
void NXOpen::Weld::WeldBeadBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance for constructing the bead.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
distanceTolerance | distancetolerance |
void NXOpen::Weld::WeldBeadBuilder::SetOutputType | ( | NXOpen::Weld::WeldBeadBuilder::OutputTypes | type | ) |
Sets the output type which controls the update behaviour of the bead feature.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
type | type |
void NXOpen::Weld::WeldBeadBuilder::SetType | ( | NXOpen::Weld::WeldBeadBuilder::Types | type | ) |
Sets the shape of the bead to create.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
type | type |
NXOpen::Weld::WeldBeadSizeBuilderList* NXOpen::Weld::WeldBeadBuilder::SizeList | ( | ) |
Returns the list containing the sizes used to create the bead.
Created in NX7.5.0.
License requirements : None
NXOpen::Weld::WeldBeadBuilder::Types NXOpen::Weld::WeldBeadBuilder::Type | ( | ) |
Returns the shape of the bead to create.
Created in NX7.5.0.
License requirements : None